Summary: help2man -- automatic manual page generation
Name: help2man
Version: 1.29
Release: 1
Copyright: GPL
Group: Applications/Text
Source: ftp://ftp.gnu.org/gnu/help2man/help2man-%{version}.tar.gz
URL: http://www.gnu.org/software/help2man
Prefix: %{_prefix}
Prereq: /sbin/install-info /usr/bin/perl
Buildroot: /var/tmp/help2man-root
BuildArchitectures: noarch

%description
help2man is a tool for automatically generating simple manual pages from
program output. It is intended to provide an easy way for software authors to
include a manual page in their distribution without having to maintain that
document. Given a program which produces reasonably standard --help 
and --version outputs, help2man will attempt to re-arrange that output into
something which resembles a manual page.

%prep
%setup -q

%build
# Adding location of install-info because configure checks for it
PATH=$PATH:/sbin

./configure --prefix=%{_prefix}
make

perl -pi -e "s|/usr/opt/perl5/bin/perl|/usr/bin/perl|" help2man

%install
rm -rf ${RPM_BUILD_ROOT}
make LDFLAGS=-s prefix=${RPM_BUILD_ROOT}%{_prefix} exec_prefix=${RPM_BUILD_ROOT}%{prefix} install

(cd $RPM_BUILD_ROOT
    mkdir -p usr/bin
    cd usr/bin
    ln -sf ../..%{_prefix}/bin/* .
)

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/install-info %{_prefix}/info/help2man.info %{_prefix}/info/dir

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_prefix}/info/help2man.info %{_prefix}/info/dir
fi

%files
%defattr(-,root,root)
%doc THANKS NEWS README COPYING ChangeLog
%{_prefix}/bin/*
%{_prefix}/info/*
%{_prefix}/man/*/*
/usr/bin/*

%changelog
* Wed May 07 2003 David Clissold <cliss@austin.ibm.com>
- Initial build for AIX Toolbox.
